import 'package:example/Constants/AppColors.dart';
import 'package:example/Constants/SvgPictures.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class AppForceUpdate extends StatefulWidget {
  @override
  _AppUpdateState createState() => _AppUpdateState();
}

class _AppUpdateState extends State<AppForceUpdate> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: AppColors.primaryColor,
        automaticallyImplyLeading: false,
        title: Text(
          "Update App",
          style: TextStyle(color: Colors.white),
        ),
      ),
      body: Container(
        padding: EdgeInsets.only(left: 16.0, right: 16.0, top: 16.0),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: <Widget>[
            Container(
              height: 200,
              width: MediaQuery.of(context).size.width * 0.9,
              //color: Colors.black45,
              padding: EdgeInsets.only(left: 16.0, right: 16.0, top: 16.0),
              child: SvgPicture.asset(
                SvgPictures.DOG,
                placeholderBuilder: (context) => CircularProgressIndicator(),
                height: 128.0,
                allowDrawingOutsideViewBox: false,
              ),
            ),
            SizedBox(
              height: 20.0,
            ),
            Text(
              "A new version of the app is available on Play Store. Please update the app to the latest version.",
              style: TextStyle(color: AppColors.primaryColor),
            ),
            SizedBox(
              height: 20.0,
            ),
            GestureDetector(
              child: Container(
                width: 200.0,
                alignment: Alignment.center,
                padding: EdgeInsets.all(16.0),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.all(Radius.circular(5.0)),
                    color: AppColors.primaryColor),
                child: Text(
                  "Update",
                  style: TextStyle(color: Colors.white),
                ),
              ),
              onTap: () {},
            )
          ],
        ),
      ),
    );
  }
}
